Subject: Re: [PATCH v2 2/2] leds/powernv: Add driver for PowerNV platform

From: Jacek Anaszewski <[email-masked]>
Date: Tue, 28 Apr 2015 11:10:08 +0200

On 04/28/2015 08:59 AM, Stewart Smith wrote:
> Jacek Anaszewski <[email-masked]> writes:
>> Is the DT node we are discussing used by some other drivers than the
>> LED class driver? Or is it required in this form by other components of
>> your platform?
>
> OS kernels are the chief consumers, Linux being the overwhelmingly major
> one here.
>
> But this is what firmware currently produces.
>
> Changing the DT representation at this stage is perhaps *possible*
> without creating a bunch of pain (I'd have to audit a bunch of things to
> see if we have GA shipping systems with this functionality for instance,
> and then evaluate the impact to partners and our various labs) which is
> a lot of work I don't particularly want to do and is well below urgent
> item 248 on my TODO list, especially for what seems to be largely a
> cosmetic suggestion?
>
> That being said, more and better review of things we're putting in the
> device tree in firmware is probably a good thing. After all, once we
> release we do kind of have to live with it essentially forever. If
> people are able to aid in that kind of code review, I'd be most welcome
> to hear it.
>
> --
> To unsubscribe from this list: send the line "unsubscribe linux-leds" in
> the body of a message to [email-masked]
> More majordomo info at  http://vger.kernel.org/majordomo-info.html
>

As we agreed with Ben - DT bindings are platform specific and they will
have to be acked by powerpc maintainers. I have only DT related
experience from ARM based platforms, but it seems not to be applicable
to powerpc.

-- 
Best Regards,
Jacek Anaszewski